﻿using ProjectBase.Data.BaseDAL;
using SIASUN.Autopilot.DAL.IDALSQL;
using SIASUN.Autopilot.Model;

namespace SIASUN.Autopilot.BLL
{
    public class BlAuthoryGroup : BaseBLL<MoAuthoryGroup>
    {
        private IDalAuthoryGroup dalAuthoryGroup;

        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlAuthoryGroup() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalAuthoryGroup = baseDal as IDalAuthoryGroup;
            dalAuthoryGroup.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }
}
