﻿using ProjectBase.Data.BaseDAL;
using SIASUN.Autopilot.DAL.IDALSQL;
using SIASUN.Autopilot.Model;

namespace SIASUN.Autopilot.BLL
{
    public class BlBeckhoffNode: BaseBLL<MoBeckhoffNode>
    {
        private IDALBeckhoffNode dalBeckhoffNode;
        /// <summary>
        /// 构造函数
        /// </summary>  
        public BlBeckhoffNode() : base()
        {
            base.Init(this.GetType().FullName, System.Reflection.Assembly.GetExecutingAssembly().GetName().Name);

            dalBeckhoffNode = baseDal as IDALBeckhoffNode;
            dalBeckhoffNode.OnOperationLog += new OperationLogEventHandler(BlLogOperation.OnOperationLog);
        }
    }

   

}
