﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class Estop系统信息
    {
        public const string OperationCode = "2e0";
        public Estop系统信息()
        {
        }

        /// <summary>
        /// Estop异常状态
        /// </summary>
        [Data(BitStart = 17, BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string Estop异常状态 { get; set; }

        /// <summary>
        /// 急停制动气泵使能状态						
        /// </summary>
        [Data(BitStart = 40, BitLength = 1, DataType = "binary", Description = "", Sequence = 2)]
        public string 急停制动气泵使能状态 { get; set; }

        /// <summary>
        /// 急停制动气泵使能状态							
        /// </summary>
        [Data(BitStart = 48, BitLength = 1, DataType = "binary", Description = "", Sequence = 3)]
        public string 机器人Estop使能状态 { get; set; } 

        /// <summary>
        /// Estop心跳						
        /// </summary>
        [Data(BitStart = 56, BitLength = 4, DataType = "binary", Description = "", Sequence = 4)]
        public string Estop心跳 { get; set; }

        
    }
}
