﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 上位机监控
    {
        public const string OperationCode = "5fa";

        public 上位机监控()
        {
        }

        /// <summary>
        /// 上位机关闭请求
        /// </summary>
        [Data(BitStart = 48, BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string 上位机关闭请求 { get; set; }

        /// <summary>
        /// 上位机心跳
        /// </summary>
        [Data(BitStart = 56, BitLength = 4, DataType = "binary", Description = "", Sequence = 2)]
        public string 上位机心跳 { get; set; }
    }
}
