﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 制动机构力时间控制设置
    {
        public const string OperationCode = "5fe";

        public 制动机构力时间控制设置()
        {
        }

        /// <summary>
        /// 控制时间
        /// </summary>
        [Data(BitStart = 21, BitLength = 11, DataType = "binary", Description = "", Sequence = 1)]
        public string 控制时间 { get; set; }

        /// <summary>
        /// 力的基准值
        /// </summary>
        [Data(BitStart = 38, BitLength = 10, DataType = "binary", Description = "", Sequence = 2)]
        public string 力的基准值 { get; set; }

        /// <summary>
        /// 力增长速率
        /// </summary>
        [Data(BitStart = 50, BitLength = 14, DataType = "binary", Description = "", Sequence = 3)]
        public string 力增长速率 { get; set; }
    }
}
