﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 力矩保护设置
    {
        public const string OperationCode = "5fd";

        public 力矩保护设置()
        {
        }

        /// <summary>
        /// 转向力矩限值开关
        /// </summary>
        [Data(BitStart = 47, BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string 转向力矩限制开关 { get; set; }

        /// <summary>
        /// 转向力矩限值
        /// </summary>
        [Data(BitStart = 55, BitLength = 9, DataType = "binary", Description = "", Sequence = 2)]
        public string 转向力矩限值 { get; set; }
    }
}
