﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 执行机构使能状态
    {
        public const string OperationCode = "6e5";
        public 执行机构使能状态()
        {
        }

        /// <summary>
        /// 制动机构手阀状态
        /// </summary>
        [Data(BitStart = 40,BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string 制动机构手阀状态 { get; set; }

        /// <summary>
        /// 换挡臂Y电机使能状态						
        /// </summary>
        [Data(BitStart = 48, BitLength = 1, DataType = "binary", Description = "", Sequence = 2)]
        public string 换挡臂Y电机使能状态 { get; set; }

        /// <summary>
        /// 离合电机使能状态							
        /// </summary>
        [Data(BitStart = 50, BitLength = 1, DataType = "binary", Description = "", Sequence = 3)]
        public string 离合电机使能状态 { get; set; }

        /// <summary>
        /// 油门踏板离合器通电状态						
        /// </summary>
        [Data(BitStart = 52, BitLength = 1, DataType = "binary", Description = "", Sequence = 4)]
        public string 油门踏板离合器通电状态 { get; set; }

        /// <summary>
        /// 系统软急停使能状态						
        /// </summary>
        [Data(BitStart = 54, BitLength = 1, DataType = "binary", Description = "", Sequence = 5)]
        public string 系统软急停使能状态 { get; set; }

        /// <summary>
        /// 油门踏板电机使能状态						
        /// </summary>
        [Data(BitStart = 56, BitLength = 1, DataType = "binary", Description = "", Sequence = 6)]
        public string 油门踏板电机使能状态 { get; set; }

        /// <summary>
        /// 制动电机使能状态						
        /// </summary>
        [Data(BitStart = 58, BitLength = 1, DataType = "binary", Description = "", Sequence = 7)]
        public string 制动电机使能状态 { get; set; }

        /// <summary>
        /// 转向电机使能状态						
        /// </summary>
        [Data(BitStart = 60, BitLength = 1, DataType = "binary", Description = "", Sequence = 8)]
        public string 转向电机使能状态 { get; set; }

        /// <summary>
        /// 换挡臂X电机使能状态						
        /// </summary>
        [Data(BitStart = 62, BitLength = 1, DataType = "binary", Description = "", Sequence = 9)]
        public string 换挡臂X电机使能状态 { get; set; }
    }
}
