﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 方向盘位置时间序列控制
    {
        public const string OperationCode = "7f6";

        public 方向盘位置时间序列控制()
        {
        }

        /// <summary>
        /// 方向盘转角
        /// </summary>
        [Data(BitStart = 5, BitLength = 19, DataType = "binary", Description = "", Sequence = 1)]
        public string 方向盘转角 { get; set; }

        /// <summary>
        /// 相对时间
        /// </summary>
        [Data(BitStart = 24, BitLength = 16, DataType = "binary", Description = "", Sequence = 2)]
        public string 相对时间 { get; set; }

        /// <summary>
        /// 实际点序号
        /// </summary>
        [Data(BitStart = 40, BitLength = 8, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际点序号 { get; set; }

        /// <summary>
        /// 总个数
        /// </summary>
        [Data(BitStart = 48, BitLength = 8, DataType = "binary", Description = "", Sequence = 4)]
        public string 总个数 { get; set; }

        /// <summary>
        /// 序列ID
        /// </summary>
        [Data(BitStart = 56, BitLength = 8, DataType = "binary", Description = "", Sequence = 5)]
        public string 序列ID { get; set; }

    }
}
