﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 油门控制状态反馈
    {
        public const string OperationCode = "6e6";
        public 油门控制状态反馈()
        {
        }

        /// <summary>
        /// 计算油门踏板电机转矩
        /// </summary>
        [Data(BitStart = 32, BitLength = 5, DataType = "binary", Description = "", Sequence = 1)]
        public string 计算油门踏板电机转矩 { get; set; }

        /// <summary>
        /// 油门踏板位移速度						
        /// </summary>
        [Data(BitStart = 38, BitLength = 11, DataType = "binary", Description = "", Sequence = 2)]
        public string 油门踏板位移速度 { get; set; }

        /// <summary>
        /// 实际油门踏板电机转速							
        /// </summary>
        [Data(BitStart = 51, BitLength = 13, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际油门踏板电机转速 { get; set; }
        
    }
}
