﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 系统运行状态参数反馈2
    {
        public const string OperationCode = "6ed";
        public 系统运行状态参数反馈2()
        {
        }

        /// <summary>
        /// 换挡臂Y控制器心跳
        /// </summary>
        [Data(BitStart = 0 , BitLength = 4, DataType = "binary", Description = "", Sequence = 1)]
        public string 换挡臂Y控制器心跳 { get; set; }

        /// <summary>
        /// 换挡臂Y控制电机标零状态						
        /// </summary>
        [Data(BitStart = 7 , BitLength = 1 ,DataType = "binary", Description = "", Sequence = 2)]
        public string 换挡臂Y控制电机标零状态 { get; set; }

        /// <summary>
        /// 换挡臂X控制器心跳							
        /// </summary>
        [Data(BitStart = 8 , BitLength =4 , DataType = "binary", Description = "", Sequence = 3)]
        public string 换挡臂X控制器心跳 { get; set; }

        /// <summary>
        /// 换挡臂X控制电机标零状态						
        /// </summary>
        [Data(BitStart = 15, BitLength = 1, DataType = "binary", Description = "", Sequence = 4)]
        public string 换挡臂X控制电机标零状态 { get; set; }

        /// <summary>
        /// 转向控制器心跳						
        /// </summary>
        [Data(BitStart = 16, BitLength =4 , DataType = "binary", Description = "", Sequence = 5)]
        public string 转向控制器心跳 { get; set; }


        /// <summary>
        /// 转向控制电机标零状态						
        /// </summary>
        [Data(BitStart = 23, BitLength = 1, DataType = "binary", Description = "", Sequence = 6)]
        public string 转向控制电机标零状态 { get; set; }


        /// <summary>
        /// 离合控制器心跳						
        /// </summary>
        [Data(BitStart = 24, BitLength = 4, DataType = "binary", Description = "", Sequence = 7)]
        public string 离合控制器心跳 { get; set; }


        /// <summary>
        /// 离合控制电机标零状态						
        /// </summary>
        [Data(BitStart = 31, BitLength = 1, DataType = "binary", Description = "", Sequence = 8)]
        public string 离合控制电机标零状态 { get; set; }


        /// <summary>
        /// 制动踏板控制器心跳						
        /// </summary>
        [Data(BitStart = 32, BitLength = 4, DataType = "binary", Description = "", Sequence = 9)]
        public string 制动踏板控制器心跳 { get; set; }


        /// <summary>
        /// 制动控制电机标零状态						
        /// </summary>
        [Data(BitStart = 39, BitLength = 1, DataType = "binary", Description = "", Sequence =10)]
        public string 制动控制电机标零状态 { get; set; }


        /// <summary>
        /// 油门踏板控制器心跳						
        /// </summary>
        [Data(BitStart = 40, BitLength = 4, DataType = "binary", Description = "", Sequence =11)]
        public string 油门踏板控制器心跳 { get; set; }


        /// <summary>
        /// 油门踏板控制电机标零状态						
        /// </summary>
        [Data(BitStart = 47, BitLength = 1, DataType = "binary", Description = "", Sequence =12)]
        public string 油门踏板控制电机标零状态 { get; set; }


        /// <summary>
        /// 系统RCU心跳						
        /// </summary>
        [Data(BitStart = 48, BitLength = 4, DataType = "binary", Description = "", Sequence =13)]
        public string 系统RCU心跳 { get; set; }


        /// <summary>
        /// 实际系统控制状态						
        /// </summary>
        [Data(BitStart = 56, BitLength = 3, DataType = "binary", Description = "", Sequence =14)]
        public string 实际系统控制状态 { get; set; }
    }
}
