﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 车辆状态3
    {
        public const string OperationCode = "6f3";

        public 车辆状态3()
        {
        }

        /// <summary>
        /// 实际车辆蓄电池电压
        /// </summary>
        [Data(BitStart = 24, BitLength = 8, DataType = "binary", Description = "", Sequence = 1)]
        public string 实际车辆蓄电池电压 { get; set; }

        /// <summary>
        /// 实际车辆蓄电池电流
        /// </summary>
        [Data(BitStart = 34, BitLength = 22, DataType = "binary", Description = "", Sequence = 2)]
        public string 实际车辆蓄电池电流 { get; set; }

        /// <summary>
        /// 实际车辆蓄电池电量
        /// </summary>
        [Data(BitStart = 56, BitLength = 8, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际车辆蓄电池电量 { get; set; }
    }
}
