﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 转向控制状态反馈
    {
        public const string OperationCode = "6e9";
        public 转向控制状态反馈()
        {
        }

        /// <summary>
        /// 方向盘控制模式
        /// </summary>
        [Data(BitStart = 0 , BitLength = 2, DataType = "binary", Description = "", Sequence = 1)]
        public string 方向盘控制模式 { get; set; }

        /// <summary>
        /// 方向盘转速						
        /// </summary>
        [Data(BitStart = 12, BitLength = 12,DataType = "binary", Description = "", Sequence = 2)]
        public string 方向盘转速 { get; set; }

        /// <summary>
        /// 实际转向电机转速							
        /// </summary>
        [Data(BitStart = 27, BitLength =13, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际转向电机转速 { get; set; }

        /// <summary>
        /// 计算转向电机转矩						
        /// </summary>
        [Data(BitStart = 40, BitLength = 5, DataType = "binary", Description = "", Sequence = 4)]
        public string 计算转向电机转矩 { get; set; }

        /// <summary>
        /// 方向盘转矩						
        /// </summary>
        [Data(BitStart = 50, BitLength =14, DataType = "binary", Description = "", Sequence = 5)]
        public string 方向盘转矩 { get; set; }
    }
}
