﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 转向正弦控制
    {
        public const string OperationCode = "7f4";

        public 转向正弦控制()
        {
        }

        /// <summary>
        /// 控制时间
        /// </summary>
        [Data(BitStart = 0, BitLength = 11, DataType = "binary", Description = "", Sequence = 1)]
        public string 控制时间 { get; set; }

        /// <summary>
        /// 迟滞时间
        /// </summary>
        [Data(BitStart = 11, BitLength = 10, DataType = "binary", Description = "", Sequence = 2)]
        public string 迟滞时间 { get; set; }

        /// <summary>
        /// 幅值
        /// </summary>
        [Data(BitStart = 22, BitLength = 9, DataType = "binary", Description = "", Sequence = 3)]
        public string 幅值 { get; set; }

        /// <summary>
        /// 相位差
        /// </summary>
        [Data(BitStart = 32, BitLength = 10, DataType = "binary", Description = "", Sequence = 4)]
        public string 相位差 { get; set; }

        /// <summary>
        /// 频率基值
        /// </summary>
        [Data(BitStart = 43, BitLength = 10, DataType = "binary", Description = "", Sequence = 5)]
        public string 频率基值 { get; set; }

        /// <summary>
        /// 频率斜率
        /// </summary>
        [Data(BitStart = 54, BitLength = 10, DataType = "binary", Description = "", Sequence = 6)]
        public string 频率斜率 { get; set; }
    }
}
