﻿using ProjectBase.Data.BaseDAL;
using ProjectBase.Util;
using System;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 权限管理中的用户管理
    /// </summary>
    [Serializable]
    public class MoGroupRole : BaseEntity
    {
        public MoGroupRole()
        {
            this.CurrentLoginUserId = SysEnvironment.CurrentLoginID;
        }

        #region Field Members

        private string m_GroupId = ""; // 组编码  
        private string m_RoleId = ""; // 用户编码 

        #endregion

        #region Property Members
        /// <summary>
        /// 组编码
        /// </summary>  
        public virtual string GroupId
        {
            get
            {
                return this.m_GroupId;
            }
            set
            {
                this.m_GroupId = value;
            }
        }

        /// <summary>
        /// 用户编码
        /// </summary> 
        public virtual string RoleId
        {
            get
            {
                return this.m_RoleId;
            }
            set
            {
                this.m_RoleId = value;
            }
        }


        #endregion
    }
}
