﻿using System;


namespace SIASUN.Autopilot.EventMessage
{
    public sealed class MessageEventArgs : EventArgs
    {
        private string _m_from;
        private string _m_type;
        private string _m_message;

        public MessageEventArgs(string m_from, string m_type,string m_message)
        {
            _m_from = m_from;
            _m_type = m_type;
            _m_message = m_message;
        }

        public string From { get { return _m_from; }}
        public string To { get { return _m_type; } }
        public string Message { get { return _m_message; } }
    }

}
