﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 挡位学习位置反馈1
    {
        public const string OperationCode = "6e3";
        public 挡位学习位置反馈1()
        {
        }

        /// <summary>
        /// D档X电机位置
        /// </summary>
        [Data(BitStart = 1, BitLength = 9, DataType = "binary", Description = "", Sequence = 1)]
        public string D档X电机位置 { get; set; }

        /// <summary>
        /// N档Y电机位置						
        /// </summary>
        [Data(BitStart = 10, BitLength =9 , DataType = "binary", Description = "", Sequence = 2)]
        public string N档Y电机位置 { get; set; }

        /// <summary>
        /// N档X电机位置							
        /// </summary>
        [Data(BitStart = 19, BitLength = 9, DataType = "binary", Description = "", Sequence = 3)]
        public string N档X电机位置 { get; set; }

        /// <summary>
        /// R档Y电机位置						
        /// </summary>
        [Data(BitStart = 28, BitLength = 9, DataType = "binary", Description = "", Sequence = 4)]
        public string R档Y电机位置 { get; set; }

        /// <summary>
        /// R档X电机位置						
        /// </summary>
        [Data(BitStart = 37, BitLength = 9, DataType = "binary", Description = "", Sequence = 5)]
        public string R档X电机位置 { get; set; }

        /// <summary>
        /// P档Y电机位置						
        /// </summary>
        [Data(BitStart = 46, BitLength = 9, DataType = "binary", Description = "", Sequence = 6)]
        public string P档Y电机位置 { get; set; }

        /// <summary>
        /// P档X电机位置						
        /// </summary>
        [Data(BitStart = 55, BitLength = 9, DataType = "binary", Description = "", Sequence = 7)]
        public string P档X电机位置 { get; set; }
    }
}
