﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 制动踏板控制状态反馈
    {
        public const string OperationCode = "6e7";
        public 制动踏板控制状态反馈()
        {
        }

        /// <summary>
        /// 制动踏板控制模式请求
        /// </summary>
        [Data(BitStart = 0, BitLength = 2, DataType = "binary", Description = "", Sequence = 1)]
        public string 制动踏板控制模式请求 { get; set; }

        /// <summary>
        /// 计算制动踏板电机转矩						
        /// </summary>
        [Data(BitStart = 8, BitLength = 5, DataType = "binary", Description = "", Sequence = 2)]
        public string 计算制动踏板电机转矩 { get; set; }

        /// <summary>
        /// 计算制动踏板力							
        /// </summary>
        [Data(BitStart = 23, BitLength = 9, DataType = "binary", Description = "", Sequence = 3)]
        public string 计算制动踏板力 { get; set; }

        /// <summary>
        /// 制动踏板位移速度						
        /// </summary>
        [Data(BitStart = 39, BitLength = 9, DataType = "binary", Description = "", Sequence = 4)]
        public string 制动踏板位移速度 { get; set; }

        /// <summary>
        /// 实际制动踏板电机转速						
        /// </summary>
        [Data(BitStart = 45, BitLength =13, DataType = "binary", Description = "", Sequence = 5)]
        public string 实际制动踏板电机转速 { get; set; }
    }
}
