﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 执行机构加速度控制请求
    {
        public const string OperationCode = "5fb";

        public 执行机构加速度控制请求()
        {
        }

        /// <summary>
        /// 转向机构加速度控制请求
        /// </summary>
        [Data(BitStart = 20, BitLength = 12, DataType = "binary", Description = "", Sequence = 1)]
        public string 转向机构加速度控制请求 { get; set; }

        /// <summary>
        /// 制动机构加速度控制请求
        /// </summary>
        [Data(BitStart = 36, BitLength = 12, DataType = "binary", Description = "", Sequence = 2)]
        public string 制动机构加速度控制请求 { get; set; }

        /// <summary>
        /// 油门机构加速度控制请求
        /// </summary>
        [Data(BitStart = 52, BitLength = 12, DataType = "binary", Description = "", Sequence = 3)]
        public string 油门机构加速度控制请求 { get; set; }
    }
}
