﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 执行机构限值设置
    {
        public const string OperationCode = "5fc";

        public 执行机构限值设置()
        {
        }

        /// <summary>
        /// 档位类型
        /// </summary>
        [Data(BitStart = 0, BitLength = 2, DataType = "binary", Description = "", Sequence = 1)]
        public string 档位类型 { get; set; }

        /// <summary>
        /// 转向极限值
        /// </summary>
        [Data(BitStart = 13, BitLength = 19, DataType = "binary", Description = "", Sequence = 2)]
        public string 转向极限值 { get; set; }

        /// <summary>
        /// 制动行程最大限值
        /// </summary>
        [Data(BitStart = 38, BitLength = 10, DataType = "binary", Description = "", Sequence = 3)]
        public string 制动行程最大限值 { get; set; }

        /// <summary>
        /// 油门行程最大限值
        /// </summary>
        [Data(BitStart = 54, BitLength = 10, DataType = "binary", Description = "", Sequence = 4)]
        public string 油门行程最大限值 { get; set; }
    }
}
