﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 挡位学习位置反馈2
    {
        public const string OperationCode = "6ef";
        public 挡位学习位置反馈2()
        {
        }

        /// <summary>
        /// 降档Y电机位置
        /// </summary>
        [Data(BitStart = 1 , BitLength = 9, DataType = "binary", Description = "", Sequence = 1)]
        public string 降档Y电机位置 { get; set; }

        /// <summary>
        /// 降档X电机位置						
        /// </summary>
        [Data(BitStart = 10, BitLength = 9 ,DataType = "binary", Description = "", Sequence = 2)]
        public string 降档X电机位置 { get; set; }

        /// <summary>
        /// 升档Y电机位置							
        /// </summary>
        [Data(BitStart = 19, BitLength =9 , DataType = "binary", Description = "", Sequence = 3)]
        public string 升档Y电机位置 { get; set; }

        /// <summary>
        /// 升档X电机位置						
        /// </summary>
        [Data(BitStart = 28, BitLength = 9, DataType = "binary", Description = "", Sequence = 4)]
        public string 升档X电机位置 { get; set; }

        /// <summary>
        /// M档Y电机位置						
        /// </summary>
        [Data(BitStart = 37, BitLength =9 , DataType = "binary", Description = "", Sequence = 5)]
        public string M档Y电机位置 { get; set; }

        /// <summary>
        /// M档X电机位置						
        /// </summary>
        [Data(BitStart = 46, BitLength = 9, DataType = "binary", Description = "", Sequence = 6)]
        public string M档X电机位置 { get; set; }

        /// <summary>
        /// D档Y电机位置						
        /// </summary>
        [Data(BitStart = 55, BitLength = 9, DataType = "binary", Description = "", Sequence = 7)]
        public string D档Y电机位置 { get; set; }
    }
}
