﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public  class 挡位执行机构控制命令
    {
        public const string OperationCode = "5f6";

        public string GetId
        {
            get { return OperationCode; }
        }

        public 挡位执行机构控制命令()
        {
        }
        
        /// <summary>
        /// 离合踏板速度控制请求
        /// </summary>
        [Data(BitStart = 24, BitLength = 8, DataType = "binary", Description = "", Sequence = 1)]
        public string 离合踏板速度控制请求 { get; set; }

        /// <summary>
        /// 离合踏板位置控制请求
        /// </summary>
        [Data(BitStart = 38, BitLength = 10, DataType = "binary", Description = "", Sequence = 2)]
        public string 离合踏板位置控制请求 { get; set; }

        /// <summary>
        /// 换挡模式请求
        /// </summary>
        [Data(BitStart = 48, BitLength = 2, DataType = "binary", Description = "", Sequence = 3)]
        public string 换挡模式请求 { get; set; }

        /// <summary>
        /// 挡位控制请求
        /// </summary>
        [Data(BitStart = 56, BitLength = 5, DataType = "binary", Description = "", Sequence = 4)]
        public string 挡位控制请求 { get; set; }
    }
}
