﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 控制器上电状态
    {
        public const string OperationCode = "6e4";
        public 控制器上电状态()
        {
        }

        /// <summary>
        /// 转向电机控制器上电状态
        /// </summary>
        [Data(BitStart = 48, BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string 转向电机控制器上电状态 { get; set; }

        /// <summary>
        /// 换挡臂X电机控制器上电状态						
        /// </summary>
        [Data(BitStart = 50, BitLength = 1, DataType = "binary", Description = "", Sequence = 2)]
        public string 换挡臂X电机控制器上电状态 { get; set; }

        /// <summary>
        /// 换挡臂Y电机控制器上电状态							
        /// </summary>
        [Data(BitStart = 52, BitLength = 1, DataType = "binary", Description = "", Sequence = 3)]
        public string 换挡臂Y电机控制器上电状态 { get; set; }

        /// <summary>
        /// RCU上电状态						
        /// </summary>
        [Data(BitStart = 56, BitLength = 1, DataType = "binary", Description = "", Sequence = 4)]
        public string RCU上电状态 { get; set; }

        /// <summary>
        /// 油门踏板电机控制器上电状态						
        /// </summary>
        [Data(BitStart = 58, BitLength = 1, DataType = "binary", Description = "", Sequence = 5)]
        public string 油门踏板电机控制器上电状态 { get; set; }

        /// <summary>
        /// 制动电机控制器上电状态						
        /// </summary>
        [Data(BitStart = 60, BitLength = 1, DataType = "binary", Description = "", Sequence = 6)]
        public string 制动电机控制器上电状态 { get; set; }

        /// <summary>
        /// 离合电机控制器上电状态						
        /// </summary>
        [Data(BitStart = 62, BitLength = 1, DataType = "binary", Description = "", Sequence = 7)]
        public string 离合电机控制器上电状态 { get; set; }
    }
}
