﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 机器人手动控制命令
    {
        public const string OperationCode = "5f8";

        public 机器人手动控制命令()
        {
        }

        /// <summary>
        /// 电机转向
        /// </summary>
        [Data(BitStart = 48, BitLength = 2, DataType = "binary", Description = "", Sequence = 1)]
        public string 电机转向 { get; set; }

        /// <summary>
        /// 油门电机控制请求
        /// </summary>
        [Data(BitStart = 56, BitLength = 1, DataType = "binary", Description = "", Sequence = 2)]
        public string 油门电机控制请求 { get; set; }

        /// <summary>
        /// 制动电机控制请求
        /// </summary>
        [Data(BitStart = 57, BitLength = 1, DataType = "binary", Description = "", Sequence = 3)]
        public string 制动电机控制请求 { get; set; }

        /// <summary>
        /// X轴控制请求
        /// </summary>
        [Data(BitStart = 58, BitLength = 1, DataType = "binary", Description = "", Sequence = 4)]
        public string X轴控制请求 { get; set; }

        /// <summary>
        /// Y轴控制请求
        /// </summary>
        [Data(BitStart = 59, BitLength = 1, DataType = "binary", Description = "", Sequence = 5)]
        public string Y轴控制请求 { get; set; }

        /// <summary>
        /// 转向控制请求
        /// </summary>
        [Data(BitStart = 60, BitLength = 1, DataType = "binary", Description = "", Sequence = 6)]
        public string 转向控制请求 { get; set; }

        /// <summary>
        /// 离合控制请求
        /// </summary>
        [Data(BitStart = 61, BitLength = 1, DataType = "binary", Description = "", Sequence = 7)]
        public string 离合控制请求 { get; set; }
    }
}
