﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 机器人执行机构实际位置
    {
        public const string OperationCode = "6e0";
        public 机器人执行机构实际位置()
        {
        }

        /// <summary>
        /// 方向盘机构转角
        /// </summary>
        [Data(BitStart = 21, BitLength = 19, DataType = "binary", Description = "", Sequence = 1)]
        public string 方向盘机构转角 { get; set; }

        /// <summary>
        /// 离合踏板机构位置						
        /// </summary>
        [Data(BitStart = 40, BitLength = 7, DataType = "binary", Description = "", Sequence = 2)]
        public string 离合踏板机构位置{ get; set; }

        /// <summary>
        /// 制动踏板机构位置							
        /// </summary>
        [Data(BitStart = 48, BitLength = 8, DataType = "binary", Description = "", Sequence = 3)]
        public string 制动踏板机构位置{ get; set; }

        /// <summary>
        /// 油门踏板机构位置						
        /// </summary>
        [Data(BitStart = 56, BitLength = 7, DataType = "binary", Description = "", Sequence = 4)]
        public string 油门踏板机构位置 { get; set; }
    }
}
