﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 油门机构位置时间控制
    {
        public const string OperationCode = "7f5";

        public 油门机构位置时间控制()
        {
        }

        /// <summary>
        /// 控制时间
        /// </summary>
        [Data(BitStart = 21, BitLength = 11, DataType = "binary", Description = "", Sequence = 1)]
        public string 控制时间 { get; set; }

        /// <summary>
        /// 油门位置基准值
        /// </summary>
        [Data(BitStart = 37, BitLength = 11, DataType = "binary", Description = "", Sequence = 2)]
        public string 油门位置基准值 { get; set; }

        /// <summary>
        /// 油门速度
        /// </summary>
        [Data(BitStart = 54, BitLength = 10, DataType = "binary", Description = "", Sequence = 3)]
        public string 油门速度 { get; set; }
    }
}
