﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 离合踏板控制状态反馈
    {
        public const string OperationCode = "6e8";
        public 离合踏板控制状态反馈()
        {
        }

        /// <summary>
        /// 实际离合踏板电机转矩
        /// </summary>
        [Data(BitStart = 16, BitLength = 5, DataType = "binary", Description = "", Sequence = 1)]
        public string 实际离合踏板电机转矩 { get; set; }

        /// <summary>
        /// 计算离合踏板力						
        /// </summary>
        [Data(BitStart = 31, BitLength =9 , DataType = "binary", Description = "", Sequence = 2)]
        public string 计算离合踏板力 { get; set; } 

        /// <summary>
        /// 离合踏板位移速度							
        /// </summary>
        [Data(BitStart = 40, BitLength = 8, DataType = "binary", Description = "", Sequence = 3)]
        public string 离合踏板位移速度 { get; set; }

        /// <summary>
        /// 实际离合踏板电机转速						
        /// </summary>
        [Data(BitStart = 51, BitLength =13, DataType = "binary", Description = "", Sequence = 4)]
        public string 实际离合踏板电机转速 { get; set; }
    }
}
