﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 系统运行状态参数反馈1
    {
        public const string OperationCode = "6eb";
        public 系统运行状态参数反馈1()
        {
        }

        /// <summary>
        /// 实际离合电机电流
        /// </summary>
        [Data(BitStart = 0 , BitLength = 8, DataType = "binary", Description = "", Sequence = 1)]
        public string 实际离合电机电流 { get; set; }

        /// <summary>
        /// 实际换挡臂Y电机电流						
        /// </summary>
        [Data(BitStart = 8 , BitLength = 8 ,DataType = "binary", Description = "", Sequence = 2)]
        public string 实际换挡臂Y电机电流 { get; set; }

        /// <summary>
        /// 实际换挡臂X电机电流							
        /// </summary>
        [Data(BitStart = 16, BitLength =8 , DataType = "binary", Description = "", Sequence = 3)]
        public string 实际换挡臂X电机电流 { get; set; }

        /// <summary>
        /// 实际转向电机电流						
        /// </summary>
        [Data(BitStart = 24, BitLength = 8, DataType = "binary", Description = "", Sequence = 4)]
        public string 实际转向电机电流 { get; set; }

        /// <summary>
        /// 实际制动电机电流						
        /// </summary>
        [Data(BitStart = 32, BitLength =8 , DataType = "binary", Description = "", Sequence = 5)]
        public string 实际制动电机电流 { get; set; }

        /// <summary>
        /// 实际油门踏板电机电流						
        /// </summary>
        [Data(BitStart = 40, BitLength = 8, DataType = "binary", Description = "", Sequence = 6)]
        public string 实际油门踏板电机电流 { get; set; }

        /// <summary>
        /// 系统运行时间						
        /// </summary>
        [Data(BitStart = 53, BitLength =11, DataType = "binary", Description = "", Sequence = 7)]
        public string 系统运行时间 { get; set; }
    }
}
