﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 设备管理
    {
        public const string OperationCode = "5f9";

        public 设备管理()
        {
        }

        /// <summary>
        /// 故障清除
        /// </summary>
        [Data(BitStart = 8, BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string 故障清除 { get; set; }

        /// <summary>
        /// 档位Y电机初始化
        /// </summary>
        [Data(BitStart = 16, BitLength = 1, DataType = "binary", Description = "", Sequence = 2)]
        public string 档位Y电机初始化 { get; set; }

        /// <summary>
        /// 档位X电机初始化
        /// </summary>
        [Data(BitStart = 24, BitLength = 1, DataType = "binary", Description = "", Sequence = 3)]
        public string 档位X电机初始化 { get; set; }

        /// <summary>
        /// 转向电机初始化
        /// </summary>
        [Data(BitStart = 32, BitLength = 1, DataType = "binary", Description = "", Sequence = 4)]
        public string 转向电机初始化 { get; set; }

        /// <summary>
        /// 离合电机初始化
        /// </summary>
        [Data(BitStart = 40, BitLength = 1, DataType = "binary", Description = "", Sequence = 5)]
        public string 离合电机初始化 { get; set; }

        /// <summary>
        /// 制动电机初始化
        /// </summary>
        [Data(BitStart = 48, BitLength = 1, DataType = "binary", Description = "", Sequence = 6)]
        public string 制动电机初始化 { get; set; }

        /// <summary>
        /// 油门电机初始化
        /// </summary>
        [Data(BitStart = 56, BitLength = 1, DataType = "binary", Description = "", Sequence = 7)]
        public string 油门电机初始化 { get; set; }
    }
}
