﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 踏板执行机构控制命令
    {
        public const string OperationCode = "5f4";

        public 踏板执行机构控制命令()
        {
        }

        public string GetId
        {
            get { return OperationCode; }
        }

        /// <summary>
        /// 制动踏板力控制请求
        /// </summary>
        [Data(BitStart = 7, BitLength = 10, DataType = "binary", Description = "", Sequence = 1)]
        public string 制动踏板力控制请求 { get; set; }

        /// <summary>
        /// 制动踏板速度控制请求
        /// </summary>
        [Data(BitStart = 16, BitLength = 8, DataType = "binary", Description = "", Sequence = 2)]
        public string 制动踏板速度控制请求 { get; set; }

        /// <summary>
        /// 制动踏板控制模式请求
        /// </summary>
        [Data(BitStart = 24, BitLength = 2, DataType = "binary", Description = "", Sequence = 3)]
        public string 制动踏板控制模式请求 { get; set; }

        /// <summary>
        /// 制动踏板位置控制请求
        /// </summary>
        [Data(BitStart = 30, BitLength = 10, DataType = "binary", Description = "", Sequence = 4)]
        public string 制动踏板位置控制请求 { get; set; }

        /// <summary>
        /// 油门踏板速度控制请求
        /// </summary>
        [Data(BitStart = 40, BitLength = 8, DataType = "binary", Description = "", Sequence = 5)]
        public string 油门踏板速度控制请求 { get; set; }

        /// <summary>
        /// 油门踏板位置控制请求
        /// </summary>
        [Data(BitStart = 54, BitLength = 10, DataType = "binary", Description = "", Sequence = 6)]
        public string 油门踏板位置控制请求 { get; set; }
    }
}
