﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 车辆状态1
    {
        public const string OperationCode = "6f1";

        public 车辆状态1()
        {
        }

        /// <summary>
        /// 车辆手刹状态
        /// </summary>
        [Data(BitStart = 0, BitLength = 1, DataType = "binary", Description = "", Sequence = 1)]
        public string 车辆手刹状态 { get; set; }

        /// <summary>
        /// 实际车辆启动状态
        /// </summary>
        [Data(BitStart = 3, BitLength = 2, DataType = "binary", Description = "", Sequence = 2)]
        public string 实际车辆启动状态 { get; set; }

        /// <summary>
        /// 实际挡位
        /// </summary>
        [Data(BitStart = 8, BitLength = 5, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际挡位 { get; set; }

        /// <summary>
        /// 挡位模式
        /// </summary>
        [Data(BitStart = 14, BitLength = 2, DataType = "binary", Description = "", Sequence = 4)]
        public string 挡位模式 { get; set; }

        /// <summary>
        /// 手动挡目标挡位
        /// </summary>
        [Data(BitStart = 16, BitLength = 4, DataType = "binary", Description = "", Sequence = 5)]
        public string 手动挡目标挡位 { get; set; }

        /// <summary>
        /// 实际离合器踏板行程
        /// </summary>
        [Data(BitStart = 22, BitLength = 10, DataType = "binary", Description = "", Sequence = 6)]
        public string 实际离合器踏板行程 { get; set; }

        /// <summary>
        /// 实际制动踏板行程
        /// </summary>
        [Data(BitStart = 38, BitLength = 10, DataType = "binary", Description = "", Sequence = 7)]
        public string 实际制动踏板行程 { get; set; }

        /// <summary>
        /// 实际油门踏板行程
        /// </summary>
        [Data(BitStart = 54, BitLength = 10, DataType = "binary", Description = "", Sequence = 8)]
        public string 实际油门踏板行程 { get; set; }
    }
}
