﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 车辆状态2
    {
        public const string OperationCode = "6f2";

        public 车辆状态2()
        {
        }

        /// <summary>
        /// 实际发动机转速
        /// </summary>
        [Data(BitStart = 3, BitLength = 13, DataType = "binary", Description = "", Sequence = 1)]
        public string 实际发动机转速 { get; set; }

        /// <summary>
        /// 实际车速
        /// </summary>
        [Data(BitStart = 16, BitLength = 8, DataType = "binary", Description = "", Sequence = 2)]
        public string 实际车速 { get; set; }

        /// <summary>
        /// 实际方向盘角度梯度
        /// </summary>
        [Data(BitStart = 28, BitLength = 12, DataType = "binary", Description = "", Sequence = 3)]
        public string 实际方向盘角度梯度 { get; set; }

        /// <summary>
        /// 实际方向盘转角
        /// </summary>
        [Data(BitStart = 45, BitLength = 19, DataType = "binary", Description = "", Sequence = 4)]
        public string 实际方向盘转角 { get; set; }
    }
}
