﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 转向三角波或线性控制
    {
        public const string OperationCode = "7f3";

        public 转向三角波或线性控制()
        {
        }

        /// <summary>
        /// 控制时间
        /// </summary>
        [Data(BitStart = 5, BitLength = 11, DataType = "binary", Description = "", Sequence = 1)]
        public string 控制时间 { get; set; }

        /// <summary>
        /// 方向盘位置基准值
        /// </summary>
        [Data(BitStart = 17, BitLength = 11, DataType = "binary", Description = "", Sequence = 2)]
        public string 方向盘位置基准值 { get; set; }

        /// <summary>
        /// 方向盘转速
        /// </summary>
        [Data(BitStart = 29, BitLength = 11, DataType = "binary", Description = "", Sequence = 3)]
        public string 方向盘转速 { get; set; }

        /// <summary>
        /// 个数
        /// </summary>
        [Data(BitStart = 40, BitLength = 4, DataType = "binary", Description = "", Sequence = 4)]
        public string 个数 { get; set; }

        /// <summary>
        /// 脉宽
        /// </summary>
        [Data(BitStart = 47, BitLength = 9, DataType = "binary", Description = "", Sequence = 5)]
        public string 脉宽 { get; set; }

        /// <summary>
        /// 峰值
        /// </summary>
        [Data(BitStart = 56, BitLength = 8, DataType = "binary", Description = "", Sequence = 6)]
        public string 峰值 { get; set; }
    }
}
