﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SIASUN.Autopilot.Device.Message
{
    public class 转向执行机构控制命令
    {
        public const string OperationCode = "5f5";

        public string GetId
        {
            get { return OperationCode; }
        }

        public 转向执行机构控制命令()
        {
        }
        /// <summary>
        /// 方向盘转矩控制请求
        /// </summary>
        [Data(BitStart = 2, BitLength = 14, DataType = "binary", Description = "", Sequence = 1)]
        public string 方向盘转矩控制请求 { get; set; }

        /// <summary>
        /// 方向盘转速控制请求
        /// </summary>
        [Data(BitStart = 21, BitLength = 19, DataType = "binary", Description = "", Sequence = 2)]
        public string 方向盘转速控制请求 { get; set; }

        /// <summary>
        /// 方向盘控制模式请求
        /// </summary>
        [Data(BitStart = 40, BitLength = 2, DataType = "binary", Description = "", Sequence = 3)]
        public string 方向盘控制模式请求 { get; set; }

        /// <summary>
        /// 方向盘转角控制请求
        /// </summary>
        [Data(BitStart = 45, BitLength = 19, DataType = "binary", Description = "", Sequence = 4)]
        public string 方向盘转角控制请求 { get; set; }
    }
}
